Subject: Re: [bug#73896] [PATCH v4 01/20] gnu: rust-widestring-0.4: Update to 0.4.3.

From: Efraim Flashner <[email-masked]>
Date: Thu, 9 Jan 2025 17:11:29 +0200

On Mon, Jan 06, 2025 at 01:36:38PM +0100, Nicolas Graves wrote:
> On 2024-11-18 10:18, Ludovic Courtès wrote:
> 
> > Hi Nicolas,
> >
> > This series involves triggers a world rebuilds (more or less), as can be
> > seen by running ‘guix build inkscape’.
> >
> > Do you think we could avoid that?
> 
> Happy New Year!
> 
> I'm not sure from which package it comes, but this patch series only
> updates a few rust crates (rust-widestring-0.4,
> rust-enum-primitive-derive-0.2), the rest are additions.
> 
> The option that makes the most sense is to merge it with the rust-team
> branch:
> - rust-widestring-0.4 is already at version 0.4.3
> - rust-enum-primitive-derive-0.2 is not but doesn't seem to trigger
> much rebuilds
> 
> Added Efraim to the loop.

I applied the patches to the rust-team branch.  It doesn't seem to cause
a world-rebuild on rust-team, so it shouldn't delay merging of the
branch.

edit: This has been sitting in my drafts for a few days. I normally
write the emails and then send them off when I finally push the commits
but I forgot for a day or two.  This is now in master.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted